Bug 809354 - [abrt] fail2ban-0.8.4-27.fc16: visit_decref: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
[abrt] fail2ban-0.8.4-27.fc16: visit_decref: Process /usr/bin/python was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fail2ban (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
abrt_hash:209faa5a7327aa82fc6f0f7e05c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 03:47 EDT by Olivier
Modified: 2013-02-13 03:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:59:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: var_log_messages (15.33 KB, text/plain)
2012-04-03 03:47 EDT, Olivier
no flags Details
File: maps (7.34 KB, text/plain)
2012-04-03 03:47 EDT, Olivier
no flags Details
File: backtrace (32.20 KB, text/plain)
2012-04-03 03:47 EDT, Olivier
no flags Details
File: backtrace (12.04 KB, text/plain)
2012-04-05 04:59 EDT, Olivier
no flags Details

  None (edit)
Description Olivier 2012-04-03 03:47:00 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/fail2ban-client status
crash_function: visit_decref
executable:     /usr/bin/python
kernel:         3.3.0-8.fc16.x86_64
pid:            14654
pwd:            /
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
time:           Tue 03 Apr 2012 08:44:32 AM CEST
uid:            1000
username:       olivier

backtrace:      Text file, 32975 bytes
maps:           Text file, 7519 bytes
var_log_messages: Text file, 15697 bytes

build_ids:
:af03524a6b9d34d6ca2ccc47c0a81004d351419d
:71ddb5b548bc9a76c3095b7c2a5f4906c85a79d8
:bfe04e2d3d2ea47aea7f060d65ea0c9554f3827d
:638db099ff5fb986d1a092629d1bb1dca5be4904
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:29263e9d454f6afd16ef620746e892d9d773e3e8
:e2e67b3ae2579e1667b73ad385f61552931024e9
:aa733447f84020c94a66814e501a36e248cbb43d
:e197f5dc3417a91b4f4f94a8ac51738488ed5c11
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:6ae19b07608683ea0d76f1406c6d50d5a2793ecc
:1484b514d62f680e9e7d1aabe8c066197083ca8a
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:0d55cc8cc4ac6ca05fda71f6379a755563b308d9
:362c00e625c82c1550b804a54237def4c0028cf0
:9674c27dfb6379010b7eb1d98403391e42ab4fe0
:a8ce4b3b6fdd6c816d4cee5b4a923767a619667c
:3c0d90cf907082b1c52951365138f53168150967

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/usr/bin/python python-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501676
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187137
:/usr/lib64/python2.7/lib-dynload/operator.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/usr/lib64/python2.7/lib-dynload/stropmodule.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/lib64/libutil-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/usr/lib64/python2.7/lib-dynload/_heapq.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/usr/lib64/python2.7/lib-dynload/timemodule.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/usr/lib64/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/usr/lib64/python2.7/lib-dynload/cStringIO.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/usr/lib64/python2.7/lib-dynload/_collectionsmodule.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/usr/lib64/python2.7/lib-dynload/binascii.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/usr/lib64/python2.7/lib-dynload/_struct.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/usr/lib64/python2.7/lib-dynload/_bisectmodule.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1327501675

environ:
:TERM=dumb
:SYSTEMCTL_SKIP_REDIRECT=
:PATH=/sbin:/usr/sbin:/bin:/usr/bin
:PWD=/
:LANG=en_US.UTF-8
:SHLVL=1
:SYSTEMCTL_IGNORE_DEPENDENCIES=
:_=/usr/bin/fail2ban-client
Comment 1 Olivier 2012-04-03 03:47:03 EDT
Created attachment 574764 [details]
File: var_log_messages
Comment 2 Olivier 2012-04-03 03:47:05 EDT
Created attachment 574765 [details]
File: maps
Comment 3 Olivier 2012-04-03 03:47:07 EDT
Created attachment 574766 [details]
File: backtrace
Comment 4 Olivier 2012-04-05 04:59:38 EDT
fail2ban systematically crashes after a few days of uptime. but I don't know why.
This could be a major security issue.


backtrace_rating: 4
Package: fail2ban-0.8.4-27.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Olivier 2012-04-05 04:59:41 EDT
Created attachment 575324 [details]
File: backtrace
Comment 6 Fedora End Of Life 2013-01-16 05:21:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 03:59:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.